declare type AsyncFnsType = (...args: any[]) => Promise<any>[];
/**
 * 并发请求函数
 * @param {*} asyncFns
 * @param {*} max
 * @return {*}
 */
export default function useConcurrentRequest(asyncFns: AsyncFnsType, max?: number): {
    run: () => Promise<unknown>;
    loading: boolean;
};
export {};
