/**
 * 判断是不是函数
 * @export
 * @param {unknown} patch
 * @return {*}
 */
export function isFunction(patch) {
  return typeof patch === 'function';
}
/**
 * 判断新旧依赖项是否相同 (比较地址)
 * @export
 * @param {oldDeps,deps} DependencyList
 * @return {*}
 */

export function depsSame(oldDeps, deps) {
  if (oldDeps === deps) return true;

  for (var i = 0; i < oldDeps.length; i++) {
    if (!Object.is(oldDeps[i], deps[i])) return false;
  }

  return true;
}