import { useEffect } from 'react';
import useLatest from "../useLatest";
/**
 * 组件卸载时触发
 * @param fn
 */

export default function (fn) {
  var fnRef = useLatest(fn);
  useEffect(function () {
    return function () {
      var _fnRef$current;

      // eslint-disable-next-line react-hooks/exhaustive-deps
      (_fnRef$current = fnRef.current) === null || _fnRef$current === void 0 ? void 0 : _fnRef$current.call(fnRef);
    }; // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
}