import type { DependencyList } from 'react';
/**
 * 代替useRef useMemo useCallback的缓存依赖钩子
 * @param factory
 * @param deps
 * @returns
 */
export default function useCreate<T>(factory: () => T, deps: DependencyList): T;
